Edit

Semantic Views - List (beta)

Lists the semantic views in the specified lakehouse.

Note

This API is part of a Beta release and is provided for evaluation and development purposes only. It may change based on feedback and is not recommended for production use. When calling this API, callers must specify true as the value for the query parameter beta.

Note

Semantic Views is currently in Preview (learn more).

This API supports pagination.

Returns a paginated list of semantic views authored inside the specified lakehouse. Each entry includes the semantic view name used by the publish operation.

Permissions

The caller must have read permission on the lakehouse.

Required Delegated Scopes

Lakehouse.Read.All or Lakehouse.ReadWrite.All or Item.Read.All or Item.ReadWrite.All

Limitations

Only lakehouse items are supported.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/lakehouses/{lakehouseId}/semanticViews?beta={beta}
GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/lakehouses/{lakehouseId}/semanticViews?maxResults={maxResults}&continuationToken={continuationToken}&beta={beta}

URI Parameters

Name In Required Type Description
lakehouseId
path True

string (uuid)

The lakehouse ID.

workspaceId
path True

string (uuid)

The workspace ID.

beta
query True

boolean

This required parameter must be set to true to access this API, which is currently in beta.

continuationToken
query

string

A token for retrieving the next page of results.

maxResults
query

integer (int32)

minimum: 1
maximum: 100

The maximum number of results per page to return.

Responses

Name Type Description
200 OK

SemanticViews

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • ItemNotFound - The requested lakehouse was not found.

  • InvalidItemType - The requested item is not a lakehouse.

  • InsufficientPrivileges - The caller does not have sufficient permissions to list semantic views.

Examples

List semantic views example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/b1c2d3e4-f5a6-7b8c-9d0e-1f2a3b4c5d6e/lakehouses/a6b7c8d9-e0f1-2a3b-4c5d-6e7f8a9b0c1d/semanticViews?maxResults=100&continuationToken=&beta=True

Sample response

{
  "value": [
    {
      "name": "sales_overview"
    },
    {
      "name": "finance_monthly"
    }
  ],
  "continuationToken": "eyJza2lwVG9rZW4iOiJzYWxlc19vdmVydmlldyJ9",
  "continuationUri": "https://api.fabric.microsoft.com/v1/workspaces/b1c2d3e4-f5a6-7b8c-9d0e-1f2a3b4c5d6e/lakehouses/a6b7c8d9-e0f1-2a3b-4c5d-6e7f8a9b0c1d/semanticViews?continuationToken=eyJza2lwVG9rZW4iOiJzYWxlc19vdmVydmlldyJ9&beta=true"
}

Definitions

Name Description
ErrorParameter

A structured parameter providing additional machine-readable context about an error.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

SemanticView

A semantic view authored inside a lakehouse.

SemanticViews

A list of semantic views.

ErrorParameter

A structured parameter providing additional machine-readable context about an error.

Name Type Description
message

string

A human-readable description of the parameter's meaning.

name

string

The parameter identifier.

value

string

The parameter value.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

SemanticView

A semantic view authored inside a lakehouse.

Name Type Description
name

string

The name of the semantic view.

SemanticViews

A list of semantic views.

Name Type Description
continuationToken

string

The token for the next result set batch. If there are no more records, it's removed from the response.

continuationUri

string

The URI of the next result set batch. If there are no more records, it's removed from the response.

value

SemanticView[]

The semantic views under the lakehouse on this page.